<div>
    <ng4-loading-spinner [loadingText]="'Please do not refresh the page and wait for a while..'"
                         [zIndex]="9999"></ng4-loading-spinner>
    <div class="m-3">
        <div>
            <div *ngIf="!isEditPage"><span><b>Tenant Management > Tenant > <i>Add</i></b></span></div>
            <div *ngIf="isEditPage"><span><b>Tenant Management > Tenant > <i>Edit</i></b></span></div>
        </div>
        <div class="create-tenant card mt-3">
            <div class="card-header">
                <span *ngIf="isEditPage"><b>Edit Tenant</b></span>
                <span *ngIf="!isEditPage"><b>Add Tenant</b></span>
            </div>
            <div class="card-body">
                <div class="col-12 pt-1">
                    <h6>NOTE : </h6>
                    <span class="text-danger">
                    <small>* </small><small jhiTranslate="tenantManagement.notes.abbreviationLimit">Company Abbreviation should be minimum of 6 and maximum of 8 characters.</small>
                </span><br>
                    <span class="text-danger">
                    <small>* </small><small
                        jhiTranslate="tenantManagement.notes.required">All fields are required.</small>
                </span>
                </div>

                <jhi-alert></jhi-alert>

                <form name="tenantForm" role="form" novalidate #tenantForm="ngForm">
                    <div class="card m-3">
                        <div class="card-header"><b>Company Information</b></div>
                        <div class="card-body pt-4 pb-4">
                            <div class="row ml-0 mr-0 mobile-flex">
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Company Name:</span></div>
                                    <div class="col-7">
                                        <input type="text" name="companyName" class="w-100 form-control"
                                               [(ngModel)]="tenant.name" #companyNameInput="ngModel" required>
                                        <div *ngIf="submitted && companyNameInput.invalid">
                                            <small class="form-text text-danger"
                                                   *ngIf="companyNameInput.errors.required"
                                                   jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                        </div>
                                    </div>
                                </div>
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Company Abbreviation:</span></div>
                                    <div class="col-7">
                                        <input type="text" name="abbreviation" class="w-100 form-control"
                                               [(ngModel)]="tenant.companyAbbreviation" (input)="getTenantId()"
                                               #companyAbbreviationInput="ngModel" required maxlength="8" minlength="6"
                                               [class.disabled]="isEditPage">
                                        <div *ngIf="submitted && companyAbbreviationInput.invalid">
                                            <small class="form-text text-danger"
                                                   *ngIf="companyAbbreviationInput.errors.required"
                                                   jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                            <small class="form-text text-danger"
                                                   *ngIf="companyAbbreviationInput.errors.minlength"
                                                   jhiTranslate="entity.validation.minlength"
                                                   translateValues="{minlength: '6'}">
                                                This field is required to be at least 6 characters.
                                            </small>
                                            <small class="form-text text-danger"
                                                   *ngIf="companyAbbreviationInput.errors.maxlength"
                                                   jhiTranslate="entity.validation.maxlength"
                                                   translateValues="{maxlength: '8'}">
                                                This field cannot be longer than 8 characters.
                                            </small>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row ml-0 mr-0 mt-3 mobile-flex">
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Assessment Type:</span></div>
                                    <div class="col-7">
                                        <div class="w-100 btn-group" dropdown>
                                            <button dropdownToggle type="button"
                                                    class="btn custom-dropdown dropdown-toggle form-control"
                                                    [class.disabled]="isEditPage">
                                                {{tenant.assessmentTypeId?.name ? tenant.assessmentTypeId?.name : ''}}
                                            </button>
                                            <ul *dropdownMenu class="dropdown-menu w-100 max-height" role="menu">
                                                <li *ngFor="let assessment of assessments " role="menuitem">
                                                    <a class="dropdown-item" href="javascript:"
                                                       (click)="tenant.assessmentTypeId=assessment; getTenantId()">
                                                        {{assessment.name}}</a>
                                                </li>
                                            </ul>
                                            <div *ngIf="submitted && !tenant.assessmentTypeId">
                                                <small class="form-text text-danger"
                                                       jhiTranslate="entity.validation.required">
                                                    This field is required.
                                                </small>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Industry Type:</span></div>
                                    <div class="col-7">
                                        <div class="w-100">
                                            <ng-multiselect-dropdown
                                                name="industry"
                                                [placeholder]="''"
                                                [data]="industries"
                                                [(ngModel)]="selectedIndustry"
                                                class="form-control single-select-dropdown p-0"
                                                [settings]="dropdownSettings"
                                                (onSelect)="onItemSelect(DROP_DOWN.INDUSTRY, $event)"
                                                (onDeSelect)="onItemDeSelect(DROP_DOWN.INDUSTRY)">
                                            </ng-multiselect-dropdown>
                                            <div *ngIf="submitted && !tenant.industryId">
                                                <small class="form-text text-danger"
                                                       jhiTranslate="entity.validation.required">
                                                    This field is required.
                                                </small>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row ml-0 mr-0 mt-3 mobile-flex">
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Tenant ID:</span></div>
                                    <div class="col-7">
                                        <input type="text" name="tenantId" class="p-1 w-100 form-control custom-font"
                                               value="{{tenant.tenantId}}" readonly></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card m-3">
                        <div class="card-header"><b>Company Contact Information</b></div>
                        <div class="card-body pt-4 pb-4">
                            <div class="row ml-0 mr-0 mobile-flex">
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Street 1:</span></div>
                                    <div class="col-7">
                                        <input type="text" name="street1" class="w-100 form-control"
                                               [(ngModel)]="tenant.addressId.street1"
                                               #street1Input="ngModel" required>
                                        <div *ngIf="submitted && street1Input.invalid">
                                            <small class="form-text text-danger"
                                                   *ngIf="street1Input.errors.required"
                                                   jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                        </div>
                                    </div>
                                </div>
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Street 2:</span></div>
                                    <div class="col-7">
                                        <input type="text" name="street2" class="w-100 form-control"
                                               [(ngModel)]="tenant.addressId.street2">
                                    </div>
                                </div>
                            </div>
                            <div class="row ml-0 mr-0 mt-3 mobile-flex">
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Country:</span></div>
                                    <div class="col-7">
                                        <div class="w-100">
                                            <ng-multiselect-dropdown
                                                name="country"
                                                [placeholder]="''"
                                                [data]="countries"
                                                [(ngModel)]="selectedCountry"
                                                class="form-control single-select-dropdown p-0"
                                                [settings]="countryDropdownSettings"
                                                (onSelect)="onItemSelect(DROP_DOWN.COUNTRY, $event)"
                                                (onDeSelect)="onItemDeSelect(DROP_DOWN.COUNTRY)">
                                            </ng-multiselect-dropdown>
                                            <div *ngIf="submitted && !tenant.addressId.country">
                                                <small class="form-text text-danger"
                                                       jhiTranslate="entity.validation.required">
                                                    This field is required.
                                                </small>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>State/Province:</span></div>
                                    <div class="col-7">
                                        <div *ngIf="states?.length > 0; else addState">
                                            <div class="w-100 btn-group">
                                                <ng-multiselect-dropdown
                                                    name="state"
                                                    [placeholder]="''"
                                                    [data]="states"
                                                    [(ngModel)]="selectedState"
                                                    [disabled]="!tenant.addressId.country"
                                                    class="form-control single-select-dropdown p-0"
                                                    [settings]="stateDropdownSettings"
                                                    (onSelect)="onItemSelect(DROP_DOWN.STATE, $event)"
                                                    (onDeSelect)="onItemDeSelect(DROP_DOWN.STATE)">
                                                </ng-multiselect-dropdown>
                                            </div>
                                        </div>
                                        <div *ngIf="submitted && !tenant.addressId.state">
                                            <small class="form-text text-danger"
                                                   jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                        </div>
                                        <ng-template #addState>
                                            <input type="text" class="w-100 form-control" name="newState"
                                                   [(ngModel)]="tenant.addressId.state">
                                        </ng-template>
                                    </div>
                                </div>
                            </div>
                            <div class="row ml-0 mr-0 mt-3 mobile-flex">
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>City:</span></div>
                                    <div class="col-7">
                                        <input type="text" name="city" class="w-100 form-control"
                                               [(ngModel)]="tenant.addressId.city"
                                               #cityInput="ngModel" required>
                                        <div *ngIf="submitted && cityInput.invalid">
                                            <small class="form-text text-danger"
                                                   *ngIf="cityInput.errors.required"
                                                   jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                        </div>
                                    </div>
                                </div>
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Zipcode:</span></div>
                                    <div class="col-7">
                                        <input type="text" name="zipcode" class="w-100 form-control"
                                               [(ngModel)]="tenant.addressId.postalCode"
                                               #zipcodeInput="ngModel" required>
                                        <div *ngIf="submitted && zipcodeInput.invalid">
                                            <small class="form-text text-danger"
                                                   *ngIf="zipcodeInput.errors.required"
                                                   jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row ml-0 mr-0 mt-3 mobile-flex">
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Phone:</span></div>
                                    <div class="col-7">
                                        <international-phone-number [(ngModel)]="tenant.companyPhoneNumber"
                                                                    placeholder=""
                                                                    name="phone_number" [required]="true"
                                                                    #phone_number="ngModel">
                                        </international-phone-number>
                                        <div *ngIf="submitted && phone_number.invalid">
                                            <small class="form-text text-danger"
                                                   *ngIf="phone_number.errors.required"
                                                   jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                            <small class="form-text text-danger"
                                                   jhiTranslate="entity.validation.invalidPhoneNumber">
                                                Invalid phone number.
                                            </small>
                                        </div>
                                    </div>
                                </div>
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Email:</span></div>
                                    <div class="col-7">
                                        <input type="email" name="email" class="w-100 form-control"
                                               [(ngModel)]="tenant.email"
                                               #companyEmailInput="ngModel"
                                               pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$"
                                               (input)="tenant.email = tenant.email.toLowerCase(); checkEmailDomain()"
                                               required>
                                        <div *ngIf="submitted && companyEmailInput.invalid">
                                            <small class="form-text text-danger"
                                                   *ngIf="companyEmailInput.errors.required"
                                                   jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                            <small class="form-text text-danger"
                                                   *ngIf="companyEmailInput.errors.pattern"
                                                   jhiTranslate="entity.validation.pattern">
                                                Invalid Email format.
                                            </small>
                                            <small class="form-text text-danger"
                                                   *ngIf="companyEmailInput.errors.maxlength"
                                                   jhiTranslate="entity.validation.maxlength"
                                                   translateValues="{maxlength: '100'}">
                                                This field cannot be longer than 100 characters.
                                            </small>

                                            <small class="form-text text-danger"
                                                   *ngIf="companyEmailInput.errors.minlength"
                                                   jhiTranslate="entity.validation.minlength"
                                                   translateValues="{minlength: '5'}">
                                                This field is required to be at least 5 characters.
                                            </small>

                                            <small class="form-text text-danger"
                                                   *ngIf="companyEmailInput.errors.email"
                                                   jhiTranslate="global.messages.validate.email.invalid">
                                                Your email is invalid.
                                            </small>
                                        </div>
                                        <div *ngIf="submitted && !tenantEmailDomainMatch">
                                            <small class="form-text text-danger"
                                                   jhiTranslate="entity.validation.domain">
                                                Company URL and the email's domain should match.
                                            </small>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row ml-0 mr-0 mt-3 mobile-flex">
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Url:</span></div>
                                    <div class="col-7">
                                        <input type="text" name="url" class="w-100 form-control"
                                               (input)="tenant.companyUrl = tenant.companyUrl.toLowerCase(); checkEmailDomain()"
                                               [(ngModel)]="tenant.companyUrl" pattern="http|https"
                                               placeholder="http://" #urlInput="ngModel" required>
                                        <div *ngIf="submitted && urlInput.invalid">
                                            <small class="form-text text-danger"
                                                   *ngIf="urlInput.errors.required"
                                                   jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                            <small class="form-text text-danger"
                                                   *ngIf="urlInput.errors.pattern"
                                                   jhiTranslate="entity.validation.urlPattern">
                                                URL should start with http:// OR https://
                                            </small>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card m-3">
                        <div class="card-header"><b>Company Contact Person Information</b></div>
                        <div class="card-body pt-4 pb-4">
                            <div class="row ml-0 mr-0 mobile-flex">
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Name:</span></div>
                                    <div class="col-7">
                                        <input type="text" name="contactName" class="w-100 form-control"
                                               [(ngModel)]="tenant.contactPersonName"
                                               #contactPersonNameInput="ngModel" required>
                                        <div *ngIf="submitted && contactPersonNameInput.invalid">
                                            <small class="form-text text-danger"
                                                   *ngIf="contactPersonNameInput.errors.required"
                                                   jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                        </div>
                                    </div>
                                </div>
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Email:</span></div>
                                    <div class="col-7">
                                        <input type="email" name="contactEmail" class="w-100 form-control"
                                               [(ngModel)]="tenant.contactPersonEmail"
                                               #contactPersonEmailInput="ngModel"
                                               pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$"
                                               (input)="tenant.contactPersonEmail = tenant.contactPersonEmail.toLowerCase(); checkEmailDomain(contactPersonEmailInput)"
                                               required>
                                        <div *ngIf="submitted && contactPersonEmailInput.invalid">
                                            <small class="form-text text-danger"
                                                   *ngIf="contactPersonEmailInput.errors.required"
                                                   jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                            <small class="form-text text-danger"
                                                   *ngIf="contactPersonEmailInput.errors.pattern"
                                                   jhiTranslate="entity.validation.pattern">
                                                Invalid Email format.
                                            </small>
                                            <small class="form-text text-danger"
                                                   *ngIf="contactPersonEmailInput.errors.maxlength"
                                                   jhiTranslate="entity.validation.maxlength"
                                                   translateValues="{maxlength: '100'}">
                                                This field cannot be longer than 100 characters.
                                            </small>

                                            <small class="form-text text-danger"
                                                   *ngIf="contactPersonEmailInput.errors.minlength"
                                                   jhiTranslate="entity.validation.minlength"
                                                   translateValues="{minlength: '5'}">
                                                This field is required to be at least 5 characters.
                                            </small>

                                            <small class="form-text text-danger"
                                                   *ngIf="contactPersonEmailInput.errors.email"
                                                   jhiTranslate="global.messages.validate.email.invalid">
                                                Your email is invalid.
                                            </small>
                                        </div>
                                        <div *ngIf="submitted && !contactPersonDomainMatch">
                                            <small class="form-text text-danger"
                                                   jhiTranslate="entity.validation.domain">
                                                Company URL and the email's domain should match.
                                            </small>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row ml-0 mr-0 mt-3 mobile-flex">
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Desktop Phone:</span></div>
                                    <div class="col-7">
                                        <international-phone-number [(ngModel)]="tenant.contactPersonDeskphone"
                                                                    placeholder=""
                                                                    name="deskPhone" [required]="true"
                                                                    #deskPhone="ngModel">
                                        </international-phone-number>
                                        <div *ngIf="submitted && deskPhone.invalid">
                                            <small class="form-text text-danger"
                                                   *ngIf="deskPhone.errors.required"
                                                   jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                            <small class="form-text text-danger"
                                                   jhiTranslate="entity.validation.invalidPhoneNumber">
                                                Invalid phone number.
                                            </small>
                                        </div>
                                    </div>
                                </div>
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Mobile Phone:</span></div>
                                    <div class="col-7">
                                        <international-phone-number [(ngModel)]="tenant.contactPersonMobilephone"
                                                                    placeholder=""
                                                                    name="mobilePhone" [required]="true"
                                                                    #mobilePhone="ngModel">
                                        </international-phone-number>
                                        <div *ngIf="submitted && mobilePhone.invalid">
                                            <small class="form-text text-danger"
                                                   *ngIf="mobilePhone.errors.required"
                                                   jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                            <small class="form-text text-danger"
                                                   jhiTranslate="entity.validation.invalidPhoneNumber">
                                                Invalid phone number.
                                            </small>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row ml-0 mr-0 mt-3 mobile-flex">
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Creation Date:</span></div>
                                    <div class="col-7">
                                        <div class="input-group">
                                            <input class="date-input border-right-0 w-100 p-3 form-control disabled"
                                                   name="createDate" value="{{tenant.createDate}}">
                                            <div class="input-group-append">
                                                <button class="btn custom-btn"
                                                        type="button">
                                                    <img src="../../../../content/images/calender-icon.svg"
                                                         style="width: 1.2rem; height: 1rem; cursor: pointer;"/>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row col-6 form-group custom-input">
                                    <div class="col-5"><span>Service Start Date:</span></div>
                                    <div class="col-7">
                                        <div class="d-flex">
                                            <input class="form-control date-input border-right-0 w-100"
                                                   [minDate]="minDate"
                                                   name="dpicker" [(ngModel)]="serviceStartDate" ngbDatepicker
                                                   #datePicker="ngbDatepicker" #startDateInput="ngModel" required>
                                            <div class="input-group-append">
                                                <button class="btn custom-btn"
                                                        (click)="datePicker.toggle();"
                                                        type="button">
                                                    <img src="../../../../content/images/calender-icon.svg"
                                                         style="width: 1.2rem; height: 1rem; cursor: pointer;"/>
                                                </button>
                                            </div>
                                        </div>
                                        <div *ngIf="submitted && startDateInput.invalid">
                                            <small class="form-text text-danger"
                                                   *ngIf="startDateInput.errors.required"
                                                   jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div>
                        <div class="action-div mb-5">
                            <jhi-button (click)="cancel()" cancel-lg>Cancel</jhi-button>
                            <jhi-button *ngIf="isEditPage"
                                        [routerLink]="['/', { outlets: { popup: 'tenant-management/' + tenant.id + '/delete'} }]"
                                        replaceUrl="true" delete-user>Delete
                            </jhi-button>
                            <jhi-button save-lg (click)="save()">Save
                            </jhi-button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
